using UnityEngine;
using System.Collections;

public static class DebugLogExtensionMethods
{
	public static void Log (this Object obj, string format, params object[] args)
	{
		Debug.Log (string.Format (format, args));
	}
	
	public static void LogWarning (this Object obj, string format, params object[] args)
	{
		Debug.LogWarning (string.Format (format, args));
	}
	
	public static void LogError (this Object obj, string format, params object[] args)
	{
		Debug.LogError (string.Format (format, args));
	}
}
